cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-services \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"services": [
{
"availability_zone_ids": [
"<string>"
],
"cloud_provider": "GCP",
"endpoint_service_id": "<string>",
"name": "<string>",
"region_name": "<string>",
"status": "CREATING",
"aws": {
"availability_zone_ids": [
"<string>"
],
"service_id": "<string>",
"service_name": "<string>"
}
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List all PrivateEndpointServices for a cluster
The internal_dns property from the regions field in the ListClusters response can be used to connect to PrivateEndpointServices.
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- CLUSTER_DEVELOPER
- AUDITOR
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
private-endpoint-services
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-services \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"services": [
{
"availability_zone_ids": [
"<string>"
],
"cloud_provider": "GCP",
"endpoint_service_id": "<string>",
"name": "<string>",
"region_name": "<string>",
"status": "CREATING",
"aws": {
"availability_zone_ids": [
"<string>"
],
"service_id": "<string>",
"service_name": "<string>"
}
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id is the ID for the cluster.
Response
A successful response.
services contains a list of all cluster related services.
Show child attributes
Show child attributes

